package be.iminds.ilabt.jfed.testing.base;

import javax.annotation.Nonnull;

/**
 * ApiTestMetaData
 */
public abstract class NoConfigApiTestMetaData implements ApiTestMetaData<EmptyApiTestConfig> {
    @Nonnull public abstract String getTestDescription();

    @Nonnull
    @Override
    public Class<EmptyApiTestConfig> getConfigClass() {
        return EmptyApiTestConfig.class;
    }

    @Nonnull
    public EmptyApiTestConfig parseApiTestConfig(@Nonnull String apiTestConfigString) {
        return new EmptyApiTestConfig();
    }
    @Nonnull
    public ApiTestConfigEditor<EmptyApiTestConfig> getApiTestConfigEditor() {
        return new EmptyApiTestConfigEditor();
    }

}
